> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Schedule Entity Futures Sweep

> Schedule a sweep for a given entity from FCM wallet to USD Spot wallet. Only one pending sweep is allowed at a time per entity.



## OpenAPI

````yaml POST  /v1/entities/{entity_id}/futures/sweeps
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/entities/{entity_id}/futures/sweeps:
    post:
      tags:
        - Futures
      summary: Schedule Entity Futures Sweep
      description: >-
        Schedule a sweep for a given entity from FCM wallet to USD Spot wallet.
        Only one pending sweep is allowed at a time per entity.
      operationId: PrimeRESTAPI_ScheduleFuturesSweep
      parameters:
        - name: entity_id
          in: path
          description: Entity ID
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              required:
                - currency
              type: object
              properties:
                amount:
                  type: string
                  description: Amount. Default to sweep all if not provided
                  example: '1000.00'
                currency:
                  type: string
                  description: Currency. Required
                  example: USD
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.ScheduleFuturesSweepResponse
components:
  schemas:
    coinbase.public_rest_api.ScheduleFuturesSweepResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Success
          example: true
        request_id:
          type: string
          description: Request ID
          example: 00000000-0000-0000-0000-000000000000

````